library(shiny)
# server.r
#
# Arun S. Moorthy, amoorthy@uoguelph.ca
# Alejandro G. Marangoni, amarango@uoguelph.ca
# University of Guelph
# ---------------------------------------------------------------------
# Load Databases:
HEstimateParameters = read.csv("data/asmDB-SatAcidEnthalpyCoefficientEstimates.csv",header=TRUE)
TEstimateParameters = read.csv("data/asmDB-SatAcidTempCoefficientEstimates.csv",header=TRUE)
HEstimateParametersUNSAT = read.csv("data/asmDB-UnsatAcidEnthalpyCoefficientEstimates.csv",header=TRUE)
TEstimateParametersUNSAT = read.csv("data/asmDB-UnsatAcidTempCoefficientEstimates.csv",header=TRUE)
FattyAcids = read.csv("data/asmDB-FattyAcidsParameters.csv",header=TRUE)
ExperResults = read.csv("data/asmExperimentalThermalPropertyPureTAGDatabase.csv",header=TRUE)

HIJalpha = read.csv("data/GC-data/HIJ-alpha.csv",header=TRUE);
HIJbprime = read.csv("data/GC-data/HIJ-bprime.csv",header=TRUE);
HIJbeta = read.csv("data/GC-data/HIJ-beta.csv",header=TRUE);
KH = read.csv("data/GC-data/KH.csv",header=TRUE);

TIJalpha = read.csv("data/GC-data/TIJ-alpha.csv",header=TRUE);
TIJbprime = read.csv("data/GC-data/TIJ-bprime.csv",header=TRUE);
TIJbeta = read.csv("data/GC-data/TIJ-beta.csv",header=TRUE);
KT = read.csv("data/GC-data/KT.csv",header=TRUE);

# Define server logic required to run asm-BackEnd
shinyServer(function(input, output) {
  shouldDisp=0;
  
  output$Results <-renderTable({
    A1 = input$comp1;
    A2 = input$comp2;
    A3 = input$comp3;
    s1 = FattyAcids[FattyAcids$Name==A1,1];
    s2 = FattyAcids[FattyAcids$Name==A2,1];
    s3 = FattyAcids[FattyAcids$Name==A3,1];
    
    polymorph = input$polym;
    
    source("backend/asm-BackEndDevelopment.R",local=TRUE);
    
    return(Results4ShinyApp)
    
  },include.colnames=FALSE,include.rownames=TRUE);
  
  output$Results2 <-renderTable({
    A1 = input$comp1;
    A2 = input$comp2;
    A3 = input$comp3;
    s1 = FattyAcids[FattyAcids$Name==A1,1];
    s2 = FattyAcids[FattyAcids$Name==A2,1];
    s3 = FattyAcids[FattyAcids$Name==A3,1];
    
    polymorph = input$polym;
    
    source("backend/asm-BackEndDevelopment.R",local=TRUE);
    
    return(Results4ShinyApp2)
    
  },include.colnames=TRUE,include.rownames=TRUE);
})
